import { $postParam, $post } from "@/plugins/axios";

export const cardConfigInfos = (id) => {
  return $postParam("/api/admin/basic/card_rule/get_one", { id });
};
export const cardDetail = (cardId) => {
  return $postParam("/api/admin/exam/card/get_one", { cardId });
};

export const saveCard = (datas, config = {}) => {
  if (datas.type === "GENERIC") {
    return $post("/api/admin/exam/card/save_generic", datas, config);
  } else {
    return $post("/api/admin/exam/card/save", datas, config);
  }
};

export const saveCard1 = (datas, config = {}) => {
  const formData = new FormData();
  for (const key in datas) {
    const val = datas[key];
    if (key === "content") {
      formData.append(
        key,
        new File([val], `${Date.now()}.json`, { type: "text/json" })
      );
    } else if (key === "htmlContent") {
      formData.append(
        key,
        new File([val], `${Date.now()}.html`, { type: "text/html" })
      );
    } else {
      formData.append(key, val);
    }
  }

  if (datas.type === "GENERIC") {
    return $post("/api/admin/exam/card/save_generic", formData, config);
  } else {
    return $post("/api/admin/exam/card/save", formData, config);
  }
};
export const copyCard = (cardId, courseId) => {
  return $postParam("/api/admin/exam/card/copy", { id: cardId, courseId });
};
